> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tessera.edstratumlabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1courses gradebookevents



## OpenAPI

````yaml /api/openapi.json get /api/v1/courses/{courseId}/gradebook/events
openapi: 3.1.0
info:
  title: Tessera API
  version: '1'
servers:
  - url: https://tessera.edstratumlabs.ai
    description: Production
security: []
paths:
  /api/v1/courses/{courseId}/gradebook/events:
    get:
      tags:
        - assignments
      operationId: listGradeEvents
      parameters:
        - name: courseId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
        - name: studentId
          in: query
          required: false
          schema:
            type: string
            minLength: 1
        - name: assignmentId
          in: query
          required: false
          schema:
            type: string
            minLength: 1
        - name: kind
          in: query
          required: false
          schema:
            type: string
            enum:
              - score
              - override
              - excuse
              - unexcuse
              - missing
              - extension
              - late-waiver
              - final-override
              - release
              - unrelease
              - setup
              - undo
        - name: cursor
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          minLength: 1
                        courseId:
                          type: string
                          minLength: 1
                        studentId:
                          anyOf:
                            - type: string
                              minLength: 1
                            - type: 'null'
                        assignmentId:
                          anyOf:
                            - type: string
                              minLength: 1
                            - type: 'null'
                        kind:
                          type: string
                          enum:
                            - score
                            - override
                            - excuse
                            - unexcuse
                            - missing
                            - extension
                            - late-waiver
                            - final-override
                            - release
                            - unrelease
                            - setup
                            - undo
                        before: {}
                        after: {}
                        reason:
                          type:
                            - string
                            - 'null'
                        by:
                          type: string
                          minLength: 1
                        at:
                          type: string
                          minLength: 1
                        batchId:
                          anyOf:
                            - type: string
                              minLength: 1
                            - type: 'null'
                        undoOf:
                          anyOf:
                            - type: string
                              minLength: 1
                            - type: 'null'
                        rulesVersion:
                          type: integer
                          minimum: 0
                          maximum: 9007199254740991
                        seq:
                          type: integer
                          minimum: 1
                          maximum: 9007199254740991
                        requestFingerprint:
                          type: string
                        result: {}
                        batchResult: {}
                      required:
                        - id
                        - courseId
                        - studentId
                        - assignmentId
                        - kind
                        - before
                        - after
                        - reason
                        - by
                        - at
                        - batchId
                        - undoOf
                        - rulesVersion
                      additionalProperties: false
                  nextCursor:
                    type:
                      - string
                      - 'null'
                required:
                  - items
                  - nextCursor
                additionalProperties: false
        '400':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '401':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '403':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '404':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '409':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
        '429':
          description: API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    ApiErrorBody:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              enum:
                - unauthenticated
                - forbidden
                - not-found
                - invalid
                - conflict
                - not-ready
                - ai-disabled
                - ai-failed
                - rate-limited
                - too-large
                - unsupported
            message:
              type: string
            details: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Scoped tsk_… API token or Access JWT

````